Page MenuHomePhabricator

Load OSM data into maps2004
Closed, ResolvedPublic

Description

Load OSM data for maps2004 and test machine after reimage

  • Copy/generate data and tiles
  • Monitor it until everything is complete
  • Test all services

Strategy will change after T205462: Load OSM data into maps1004, see tile generation report.

Details

Related Gerrit Patches:
operations/puppet : productionmaps: restrict OSM sync check to maps2001
operations/puppet : productionprofile::maps: remove replication factor
operations/puppet : productionmaps: update path for postgis script

Event Timeline

MSantos created this task.Feb 7 2019, 4:00 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 7 2019, 4:00 PM
MSantos triaged this task as High priority.Feb 7 2019, 4:00 PM

Encountered this issue when running the custom function:

ERROR:  Geometry type (Point) does not match column type (LineString)
CONTEXT:  PL/pgSQL function insert_admin_row(admin,geometry) line 3 at assignment
SQL statement "SELECT insert_admin_row(theRow, ST_GeometryN(geom, i))"
PL/pgSQL function insert_admin_rows(admin,geometry,boolean) line 10 at PERFORM
SQL statement "SELECT insert_admin_rows(row, result, TRUE)"
PL/pgSQL function populate_admin() line 26 at PERFORM

Change 489769 had a related patch set uploaded (by Mathew.onipe; owner: Mathew.onipe):
[operations/puppet@production] maps: update path for postgis script

https://gerrit.wikimedia.org/r/489769

Change 489769 merged by Gehel:
[operations/puppet@production] maps: update path for postgis script

https://gerrit.wikimedia.org/r/489769

Gehel reassigned this task from MSantos to Mathew.onipe.Feb 12 2019, 3:51 PM

Change 490389 had a related patch set uploaded (by Mathew.onipe; owner: Mathew.onipe):
[operations/puppet@production] profile::maps: remove replication factor

https://gerrit.wikimedia.org/r/490389

Change 490389 merged by Gehel:
[operations/puppet@production] profile::maps: remove replication factor

https://gerrit.wikimedia.org/r/490389

Change 490607 had a related patch set uploaded (by Gehel; owner: Gehel):
[operations/puppet@production] maps: restrict OSM sync check to maps2001

https://gerrit.wikimedia.org/r/490607

Change 490607 merged by Gehel:
[operations/puppet@production] maps: restrict OSM sync check to maps2001

https://gerrit.wikimedia.org/r/490607

Mathew.onipe closed this task as Resolved.May 14 2019, 1:31 PM